Name: help2man
Version: 1.29
Release: 1cl
Summary: help2man is a script to create simple man pages from the --help and --version output of programs.
License: GPL
Group: Development/Programs
URL: http://www.gnu.org/software/%{name}/
Source0: ftp://ftp.gnu.org/gnu/%{name}/%{name}-%{version}.tar.gz
Source1: ftp://ftp.gnu.org/gnu/%{name}/%{name}-%{version}.md5.asc
Prereq: info
Requires: gawk, m4, mktemp, perl
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}
BuildArch: noarch

%description
help2man is a script to create simple man pages from the --help and
--version output of programs.

Since most GNU documentation is now in info format, this provides a
way to generate a placeholder man page pointing to that resource while
still providing some useful information.

%prep
%setup -q

%build
%configure
make

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}{%{_infodir},%{_datadir}}
make DESTDIR=%{buildroot} prefix=%{_prefix} install

# We don't want to include the standards.info stuff in the package,
# because it comes from binutils...
rm -f %{buildroot}%{_infodir}/standards*
cp install-sh %{buildroot}%{_datadir}/%{name}

%clean
rm -rf %{buildroot}

%post
/sbin/install-info %{_infodir}/%{name}.info.gz %{_infodir}/dir || :

%preun
/sbin/install-info --delete %{_infodir}/%{name}.info.gz %{_infodir}/dir || :

%files
%defattr(644,root,root,755)
%{_infodir}/%{name}.info.gz
%{_datadir}/%{name}
%{_mandir}/man1/help2man.1*
%attr(755,root,root) %{_bindir}/%{name}


%changelog
* Wed Sep 11 2002 Ricardo Erbano <erbano@conectiva.com>
+ 2002-09-11 13:25:25 (15044)
- Fixed manpage path

* Wed Sep 11 2002 Ricardo Erbano <erbano@conectiva.com>
+ 2002-09-11 13:20:20 (15043)
- New upstream release: 1.29 (closes: #6661)
- Added manpage file

* Wed Aug 28 2002 Gustavo Niemeyer <niemeyer@conectiva.com>
+ 2002-08-28 18:50:51 (4691)
- Copying release 1.24-1cl to releases/ directory.

* Wed Aug 28 2002 Gustavo Niemeyer <niemeyer@conectiva.com>
+ 2002-08-28 18:50:50 (4690)
- Copying release 1.24-1cl to pristine/ directory.

* Wed Aug 28 2002 Gustavo Niemeyer <niemeyer@conectiva.com>
+ 2002-08-28 18:50:49 (4689)
- Removing previous pristine/ directory.

* Wed Aug 28 2002 Gustavo Niemeyer <niemeyer@conectiva.com>
+ 2002-08-28 18:50:47 (4688)
- Imported package from 7.0.

* Wed Aug 28 2002 Gustavo Niemeyer <niemeyer@conectiva.com>
+ 2002-08-28 18:50:46 (4687)
- Created directory for version 1.24.



* Wed Aug 28 2002 Gustavo Niemeyer <niemeyer@conectiva.com>
+ 2002-08-28 09:15:26 (2563)
- Imported package from 6.0.

* Wed Aug 28 2002 Gustavo Niemeyer <niemeyer@conectiva.com>
+ 2002-08-28 09:15:22 (2562)
- Created package directory
